@echo off

rem Checking for upk files
echo ---------------------------------------------------------------
echo !                        Boop  Troop                          !
echo !                       Boop  Unpatch                         !
echo !                       A Hat in Time                         !
echo ---------------------------------------------------------------
if exist ..\Startup.upk (
    set cookedpcf=..
) else if exist Startup.upk (
    set cookedpcf=.
) else (
    echo Startup.upk not found! Are you running this file from CookedPC or a child folder?
    pause
    goto :quitscript
)

echo Found Startup.upk
set startup=%cookedpcf%\Startup.upk

echo Startup.upk is %startup%!
echo Creating backups...

if NOT exist %startup%.bak (
    copy %startup% %startup%.bak
)

echo Decompressing...

decompress.exe %startup% -out=%cookedpcf%\unpacked

rmdir unpacked

echo Applying patch...

PatchUPK.exe booppatch.patch %cookedpcf%\unpacked

echo Moving files...
move %cookedpcf%\unpacked\Startup.upk %startup%

echo ---------------------------------------------------------------
echo !                        Boop  Troop                          !
echo !                       Boop  Unpatch                         !
echo !                     Patch   Complete!                       !
echo ---------------------------------------------------------------

pause
:quitscript
